oxigraph-convert(1)

NAME
oxigraph-convert - Convert an RDF file from one format to another

SYNOPSIS
oxigraph convert [-f|--from-file] [--from-format] [--from-base] [-t|--to-file] [--to-format] [--to-base] [--lenient] [--from-graph] [--from-default-graph] [--to-graph] [-h|--help]

DESCRIPTION
Convert an RDF file from one format to another

OPTIONS

-f, --from-file <FROM_FILE>
    File to convert from

    If no file is given, stdin is used as if it were the input file content. In this case, the content format must be specified using the --format option.

--from-format <FROM_FORMAT>
    The format of the file(s) to convert from

    It can be an extension like "nt" or a MIME type like "application/n-triples".

    By default, the format is guessed from the input file extension.

--from-base <FROM_BASE>
    Base IRI of the file to read

-t, --to-file <TO_FILE>
    File to convert to

    If no file is given, stdout is used. In this case, the output format must be specified using the --to-format option.

--to-format <TO_FORMAT>
    The format of the file(s) to convert to

    It can be an extension like "nt" or a MIME type like "application/n-triples".

    By default, the format is guessed from the target file extension.

--to-base <TO_BASE>
    Base IRI of the file to write

--lenient
    Attempt to keep converting even if the data file is invalid

    This disables most of the validation on RDF content.

--from-graph <FROM_GRAPH>
    Only load the given named graph from the input file

    By default, all graphs are loaded.

--from-default-graph
    Only load the default graph from the input file

--to-graph <TO_GRAPH>
    Name of the graph to map the default graph to

    By default, the default graph is used.

-h, --help
    Print help (see a summary with '-h')